Welcome!

Welcome to PC Info!

This program can be used mainly by administrators or by people, who building computer installations as job or they doing this for friends and want to have summary in one place of all installed machines. This will help to make your work effective and thanks to this program, you will not loose lot of money when discovering who have what installed.

If problem occours, you will know all about installed computer just in second. All you need to know is name of your customer/friend. Of course – you must first create database of them, but this part of work will helps you in future.

Program isn`t benchmark or detect utility – it is composed mainly for people mentioned above. For detecting or benchmarking utility look over the internet. But, if you want to have your work easier, you can use detecting application – PC Info Detect. Thanks to this utility, you can export data of computer and simply use them in main program.

If you need to tell me anything, you want to send me a suggestion or you want to translate program, send me e-mail.

I wish you nice work with program as well as nice day!


Contacts

Contacts

This program is freeware and it is possible to redistribute it. Pack can be redistributed only in complete packaging and in complete state, as supplied by author and it`s content can`t be changed. Also there is not allowed to ask money for it (in whatever form). Violating this rules will be prosecuted by international laws.

If you want me to send any suggestions or tips for making program better, you can do this by sending mail to address below or to address contained in „About” window of program or you can write to our forum. I try to answer all of your questions and I take a think about your comments. Also, if you want to translate program to other language, drop me an e-mail and let me know about it.

I would like to thanks all people, who use this program and also to people, who wrote me suggestions which helps me to make program better!

Thanks again and I hope, that you will return to me in future!

Web Pages

Program Forum

E-Mail


Start Panel

Start Panel

When you run program for the first time, following dialog will be displayed:

This means, that you not created no record, but if you want to use program, you must create one. Because of this, click on „OK” button and in Start Panel click on „Add New Owner…”. In start panel will be „Deleted Exported Owners” button inactive. It becomes active, when you export list. If you delete list, button will be inactive again.

There is also inactive button „Select Owner...”. It becomes active, when you add new owner or import owners from backup file clicking „Import...” button. If you delete all owners, this button will be inactive again.

Here is appearance of Start Panel, if you have no entered owner:

If you enter owner or make an import from backup file, Start Panel will become as below:

Button description:

„Select Owner…” – choose, if you already have some owners; by clicking this button, you will be able to select owner, which you want.

„Add New Owner…” – choose, if you want to add new owner.

„Import...” – choose, if you want to import backup file. This should be done in program before and file must have *.gva extension.

„Exit” – exits the program.

In „Language” menu you can choose your own langauge (if exists). After selecting, program will be switched to new language immediatelly.


PC Info

Description of PC Info.


Main Window

This window is main working area of program.


Main Window

Main Window

Appearance of Main Window is changing by mode, which you selected in Start Panel. This will be displayed, if you choose „Select Owner...”:

This will be displayed, if you choose „Select Owner... ” and press „Edit” button:

And this will be displayed, if you choose „Add New Owner...”:

In „Select Owner...” mode you can view content of owner right, as you entered it. All fields are greyed and inactive, which means, that you are not able to make any changes. This isn`t true for „Notes…”, „User Accounts…” and „Details…” buttons. They are always active and it`s actual appearance is changing by mode of work. If you want to edit something, click on „Edit” button. Now, fields will become active and you can make needed editings. After finish editing, click on „Save” button – edited items will be saved to your disk. If you change name of owner during editing mode and click on „Save” button, new owner with new name, but with current filled fields will be created. This is useful, if you install more computers with the same HW and/or SW.

Each hardware and software section can be switched by clicking appropriate button. All data (edited or newly added) will not be saved, until you press „Save” or „Add” buttons.

Description of other buttons and menu items in „Select Owner...” mode:

„New Owner” – choose, if you want to enter new owner. Click of this button is the same as clicking on „Add New Owner...“ in Start Panel. If you want to select other owner, click on „Start Panel“ button.

„Delete” – choose, if you want to delete currently opened owner.

„Start Panel” – choose, if you want to display Start Panel right, after you run program. By this panel you can choose other owner, add new owner, delete exported lists or exit program.

„Exit (menu item Exit)” – choose, if you want to exit program. Click of this button is the same as clicking on „Exit” button in Start Panel.

„Print List (menu item in Tools)” – choose, if you want to print list with filled data.

„oeminfo.ini (menu item in Tools)” – choose, if you want to make ‘oeminfo.ini‘ file, which can contain contact informations about computer manufacturer or any other text. This information is shown in dialog, which appears, if you click on My Computer, Properties, General tab. In bottom of dialog can be shown for e.g. this:

„Warranty (menu item in Tools)” – this screen is used for entering/editing warranty for each HW. If hardware have warranty and date is past, red light is displayed. If hardware have warranty and date is today, green-led light is displayed. If hardware have warranty and date is future, green light is displayed.

„Personal Data/Password (menu item in Tools)” – this screen is used for entering your personal data, which can be added to your exported lists. Only filled fields are contained. Also, you can set your password for running program.

„Fee Calculate (menu item in Tools)” – this screen is used for calculating fee for building computer.

„Export/Import (menu item in Tools)” – this screen is used for making backup your data and settings or for importing existing data. This can be useful, if you have more computers and want to have actual data on all of them.

„Import Detected Data (menu item in Tools)” – when you click this item, dialog will be shown. Here you can choose HWList.det file, which is list of detected data by PC Info Detect application. After it`s selecting and clicking on „OK” button, data will be loaded into program. Because there is not detected all items (due to name differences), don`t forget to edit needed data. When you finish, click on „Add” button – data will be saved.

„Delete All (menu item in Tools)” – choose, if you want to delete all owners and all exported lists (if exists). Be careful! Entire folder will be deleted and this action cannot be undone!

„Settings (menu item in Tools)” – choose if you want to change general options of program.

„Important Links (menu item in Important Links)” – list of useful links.

„Help Topics (menu item in Help)” – choose, if you want to display help topics in your language (if exists). If help in your language isn`t exist, English help will be displayed.

„Homepage (menu item in Help)” – choose, if you want to visit homepage of program.

„Forum (menu item in Help)” – choose, if you want to visit support forum.

„PC Info Detect (menu item in Help)” – choose, if you want to visit application`s page.

„Update (menu item in Help)” – choose, if you want check new program updates.

„About (menu item in Help)” – choose, if you want to display program informations. here can be found e-mail or web link for you to send me suggestions, informations or only your words.

In „Add New Owner...” mode you can add new owners very simply. Always enter fields, which you want to save and click on „Add” button. Doing this will cause saving entered data and after saving, all fields are cleared for enterning new one. If you don`t want to add new owner anymore and you want to choose saved owner, click on „Start Panel” button. Here you can choose, what kind of action you want to perform. If you enter data for new owner, but you forget to save them, you will be prompted to save.

„Notes…” – click this button for enterning whatever you want for actual or edited owner.

„Click To Set” – click this buton for selecting date, when you build or upgraded computer. If you want to disable this date, click on „Cancel” button.

„User Accounts…” – click this button for entering all created user profiles for actual or edited owner.

„Details…” – click this buton to ester additional informations about motherboard. These informations are only for your needs and they not be exported.

Description of other buttons is analogic with „Select Owner... ”. Some of buttons isn`t displayed (it is depending on working mode).

When adding , „Owner`s Name” filed must be filled. If not, you will be prompted. Telephone number can be filled in international format (+wwwxxxyyyzzz) or in local format (xxxyyyzzz). All others fields have unlimited length (not valid for Network Card MAC Address and for oeminfo.ini File).


Notes

Notes

This dialog is used for enter any note for actual owner. It`s entering is optional and is used only for adding additionals informations for you. This will display, if you choose „Select Owner... ”:

This will display, if you choose „Select Owner... ” and clicked on „Edit” or „Add New Owner...” buttons:

In „Select Owner...” mode you can view note content.

In „Edit” or „Add New Owner...” mode is displayed following controls:

„Text Alignment” – choose, how to align entire text.

„Delete All” – choose, if you want to delete entire note.

„OK” – choose to save note.

„Cancel” – choose to discard changes and close dialog.

When you enter some notes, appearance of „Notes…” button on Main Window is changed too. Now, button`s caption will be in bold. If you cancel note or they not exist, caption will be in normal font.


User Accounts

User Accounts

This dialog is used for adding user profiles, passwords, account types and for entering main administrator password. Filling this dialog is optional. Below is shown screen, if you choose „Select Owner... ”:

And this screen appears, if you choose „Select Owner... ” and press „Edit” or „Add New Owner...” buttons:

In „Select Owner...” mode you can view user accounts list.

In „Edit” or „Add New Owner...” mode is displayed following controls:

„Add” – click for adding new account.

„Remove” – click for remove highlighted user profile from list.

„Add Password” – this button will be displayed after you enter password of main administrator.

„User Name” – enter user name.

„Password” – enter user profile password. If you don`t add password, leave field blank.

„Administrator” – select, if created account have or not administrator rights.

„Password Of Main Administrator” – enter password of main administrator. This is account, which is always present in system and it`s user name is „Administrator”. By default, this account isn`t displayed, but it can be. So, this password is right for this type of account. If you don`t enter password, levae field blank. If you delete password by clicking on „Delete” button, password will be deleted and field for entering new one will be displayed.

„OK” – choose for saving changes.

„Cancel” – discard changes and closes dialog.

When you enter some user accounts, appearance of „User Accounts…” button on Main Window is changed too. Now, button`s caption will be in bold. If you cancel user accounts or they not exist, caption will be in normal font.


Details

Details

This dialog is used for enter any detail of motherboard for actual owner. It`s entering is optional and is used only for your needs. This will display, if you choose „Select Owner... ”:

This will display, if you choose „Select Owner... ” and clicked on „Edit” or „Add New Owner...” buttons:

„Graphic Card Port” – here you can chaose, which type of port is used for graphic card.

„Format” – here you can choose, which format have motherboard.

„Ports” – here you can chaose, how much an which ports your motherboard conatins.

„Other” – here you can chaose other details.

„OK” – choose, if you want to save data. If you don`t want to save them, click on „Close” button.

„Close” – chaose, if you want to close dialog without saving.

When you choose some details, appearance of „Details…” button on Main Window is changed too. Now, button`s caption will be in bold. If details not exist, caption will be in normal font.


Serial Numbers

Serial Numbers

This dialog is used to enter product name and its serial number. Thanks to free editing window you can enter different shapes of serial numbers. If you want to separate each record, press „INS” key:

When you choose some details, appearance of „Serial Numbers…” button on Main Window is changed too. Now, button`s caption will be in bold. If entry not exist, caption will be in normal font.


Tools Menu

Description of each item of „Tools” menu.


oeminfo.ini

oeminfo.ini

This dialog is used for ‘oeminfo.ini‘ file creation. It contains identification data of manufacturer or distributor of computer.

„Generate” – click this button to generate file.

„Delete File” – click this button to delete created file.

„Close” – click this button to close dialog.

„Manufacturer” – used for enter description of computer. You can use any character including diacritics; length is limited to 27 characters.

„Model” – used for enter model of computer (e.g. MSI BX-440). You can use any character including diacritics; length is limited to 27 characters.

„Support Information” – used for adding additional informations, which will be displayed, when you click on „Support Information” button in My Computer/Properties/General tab:

If you want to enter more than 2 lines, you must start each line by „LineX=” string, where X is number from 1 and higher. If you leave „LineX=Some description”, nothing will be displayed, because instead of X you should write number 3.

If you want to add data to fields, first you must fill „Description” field, then „Model” field and finally „Support Information” field. After entering all three fields, „Generate” button will become active. After pressing this button, file ‘oeminfo.ini‘ will be created. File is placed in ‘C:\Documents and Settings\YourAccountName\My Documents\PC Info\oeminfo.ini’. If you want to use this file, copy it to removable device and in target computer copy it to ‘C:\WINDOWS\system32’ (in older system to ‘C:\WINDOWS\system’). „Delete File” will delete ‘oeminfo.ini‘ from ’C:\Documents and Settings\YourAccountName\My Documents\PC Info\oeminfo.ini’ folder.

Mentioned above is used in Windows XP and Windows 2000 systems. In Windows 9x a ME systems is created file placed to other folder. Program will inform you, where you can find this file.


Warranty

Warranty

This dialog is used pro adding/editing warranty for each hardware. Display of each tab is depending on filled fields in Main Window. If field is not filled (for e.g. Motherboard), corresponding tab will not be displayed too.

„Warranty Start” – in this calendar select date for warranty start.

„Warranty End” – in this calendar will be date for warranty end. This date is selected automatically and it is depending on switch „Remember Warranty” and „Warranty:” field. Of course, you can set warranty end to whatever date you want.

„Remember Warranty” – if checked, then „Warranty:” option will become active. Here you can set your own warranty length (in years). By default, warranty is set to two years.

„No Warranty” – check, if for selected HW isn`t warranty or if you want to delete current warranty.

„Serial Number” – enter seriál number of hardware (if known) and click on small „OK” button right between field. If you want to delete serial number, clear field and also click on small button.

„OK” – click this button to save warranty and/or changes in calendar appearance. If you check „No Warranty” option you also delete current warranty (if it was entered).

„Close” – click this button to close dialog. If you make any changes and not save them by clicking on „OK” button, all changes will be lost.

„Notes…” – this button is used for opening window, where you can enter any information you want and which is corresponding to actual hardware.


Personal Data/Password

Personal Data/Password

This dialog is used for entering your personal data, which you can use for your friends/customers as contact informations. This data will be displayed in header of printed list, which you can create by exporting. Only data, which is entered will be displayed.

If you will not enter no data, nothing will be in exported list. These data are common for all owners.

Data are stored on your computer and they are not encrypted.

Next, you can enter password, which will be required after each program start. If you are entering password, it`s characters is hidden by asterisk. If you want to see entered password, check „Show Password” option. After you finish entering, click on „Save” button to save it. If you want to delete password, clear filed contens and click on „Save” button. If password is used, green light is shown, if not used, red light is shown.

If you are using password, following screen will appear each time you start program.


Fee Calculate

Fee Calculate

This dialog is used for calculating fee as refund for your work. Calculated values are not stored anywhere and if you close window, then open it again, previous data (if they existed), will be deleted and defaults will be set.

„Amout For Calculate” – here enter amount, which can be used for calculating. This is useful, if aou are building new computer - fee can be calculated as percent part of total price.

„If building new computer - % of amount for calculating” – if you check „Enable” checkbox, then calculating will be done. If this checkbox is unchecked, entire section will be ignored.

„Operation System Installation” – if you check „Enable” checkbox, then this value will be added to total amount. If this checkbox is unchecked, entire section will be ignored.

„Other Programs Installation And Configuration” – if you check „Enable” checkbox, then this value will be added to total amount. If this checkbox is unchecked, entire section will be ignored.

„Servicing” – if you check „Enable” checkbox, then this value will be added to total amount. If this checkbox is unchecked, entire section will be ignored.

„Calculate” – clicking this button you can start calculate total amount.

„Close” – clicking this button close window and discard all changed data.


Export/Import

Export/Import

This dialog can be used for creating files, which is needed for data restoring, if you delete all of them accidentaly. Also, these files can be used for transferring your data and settings to another computer. This can be useful, if you have PC Info installed on more than one computer and you require same data on all of them.

„Export…” – if you click this button, save dialog will be displayed. Enter path and filename. After this, two files will be created on selected path: ‘yourname.gva‘ and ‘yourname.gvd‘, which is needed for transfer. Files must be on same medium, must have same path and also it`s names must be the same.

„Import…” – if you click this button, open dialog will be displayed. Enter path and filename. After this, files are loaded and data will be overwritten/added including settings. When all is OK, program will be restarted and new data will be loaded Files must be on same medium, must have same path and also it`s names must be the same. So, if you want to import data to empty program, run it, click on „Add New Owner…” button, go to „Tools” menu and select „Export/Import…”. Here click on „Import…” button and follow instructions above.

„Close” – click this button to close dialog.


Settings

Settings

This dialog is used for setting general options of program.

„Show week numbers” – check if you want to display in „Warranty Start” calendar week numbers.

„Show "Today:" item” – check if you want to display in „Warranty Start” calendar "Today:" item .

„Show circle item” – check if you want to display in „Warranty Start” calendar red circle item.

„Large icon” – choose, if you want to have view type of files when opening owner as large icon.

„Small icon” – choose, if you want to have view type of files when opening owner as small icon.

„List” – choose, if you want to have view type of files when opening owner as list.

„Report” – choose, if you want to have view type of files when opening owner as report.

„Thumbnails” – choose, if you want to have view type of files when opening owner as thumbnails.

„Tile” – choose, if you want to have view type of files when opening owner tiled.

„Check updates when program starts” – check, if you want to display dialog for update checking when start program.

„Show floating hint” – check, if you want to display floating hint in program. Hint in status bar is always displayed and this setting not affect it.

„Include notes to printed list” – check, if you want to include notes to printed list.


PC Info Detect

Description of PC Info Detect.


Main Window

Main Window

Program contains only one screen. Here is placed different fields, which will be filled after detection. There fields is not editable, they are used only for your information. If there is more network cards in system detected, you can choose, which network card has to be exported. Same behaviour is applied for printers.

Appearance of screen, when you just ran program:

Appearance of screen, if you choose to detect by clicking on „Detect” button:

„Detect” – clicking this button will perform detection on target computer.

„Export” – clicking this button will export detected values to 'HWList_Owner`sName.det' file.

„Exit” – clicking this button will exit program. If you detected values before, but not exported them, you will asked to export them now.

Exported values can be used only with same PC Info program version.

Program is avaliable only in English version.

Current version of program is not supporting yet drives with more partitions.